const fetch = require('node-fetch')

let key;

function init(initKey) {
  key = initKey
}

async function report(params) {
  const response = await fetch('https://zymono.com/api/report', {
    method: 'POST',
    headers: {
     'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      apiKey: key,
      user: params.user, 
      imgURL: params.imageURL, 
      reason: params.reason, 
      device: params.device 
    })
  })
  
  if (response.ok) {
    console.log(response.json())
  }
}

module.exports = {
    report,
    init,
}